# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
rust-version = "1.95.0"
name = "nu-cmd-plugin"
version = "0.114.0"
authors = ["The Nushell Project Developers"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Commands for managing Nushell plugins."
readme = "README.md"
license = "MIT"
repository = "https://github.com/nushell/nushell/tree/main/crates/nu-cmd-plugin"

[lib]
name = "nu_cmd_plugin"
path = "src/lib.rs"

[dependencies.itertools]
version = "0.15"

[dependencies.nu-engine]
version = "0.114.0"
default-features = false

[dependencies.nu-path]
version = "0.114.0"
default-features = false

[dependencies.nu-plugin-engine]
version = "0.114.0"
default-features = false

[dependencies.nu-protocol]
version = "0.114.0"
features = ["plugin"]
default-features = false

[lints.clippy]
collapsible_match = "allow"
format_push_string = "warn"
needless_raw_strings = "warn"
result_large_err = "allow"
unchecked_time_subtraction = "warn"
unwrap_used = "deny"
used_underscore_binding = "warn"
